# Uses of Interface
org.eclipse.birt.chart.model.layout.LabelBlock

Packages that use LabelBlock
Package
Description
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.

## Uses of LabelBlock in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event with parameters of type LabelBlock
Modifier and Type
Method
Description
`final void`
TextRenderEvent.`updateFrom(LabelBlock lb, double dScale, RunTimeContext rtc)`
Updates the event by given LabelBlock object.

## Uses of LabelBlock in org.eclipse.birt.chart.model.layout

Subinterfaces of LabelBlock in org.eclipse.birt.chart.model.layout
Modifier and Type
Interface
Description
`interface`
`TitleBlock`
A representation of the model object 'Title Block'.
Methods in org.eclipse.birt.chart.model.layout that return LabelBlock
Modifier and Type
Method
Description
`LabelBlock`
LabelBlock.`copyInstance()`
`LabelBlock`
LayoutFactory.`createLabelBlock()`
Returns a new object of class 'Label Block'.

## Uses of LabelBlock in org.eclipse.birt.chart.model.layout.impl

Classes in org.eclipse.birt.chart.model.layout.impl that implement LabelBlock
Modifier and Type
Class
Description
`class`
`LabelBlockImpl`
An implementation of the model object ' Label Block'.
`class`
`TitleBlockImpl`
An implementation of the model object 'Title Block'.
Methods in org.eclipse.birt.chart.model.layout.impl that return LabelBlock
Modifier and Type
Method
Description
`LabelBlock`
LabelBlockImpl.`copyInstance()`
`LabelBlock`
LayoutFactoryImpl.`createLabelBlock()`